For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Reference
    • Introduction
      • GETRetrieve Dispute
      • GETReceive Dispute
      • POSTRespond to Dispute
      • GETAccept Dispute
      • POSTUpload File
      • GETRetrieve file
LogoLogo
ReferenceDisputes

Retrieve file

GET
/v2/disputes/files/:id
GET
/v2/disputes/files/:id
$curl -G https://global-api-sandbox.afterpay.com/v2/disputes/files/id \
> -H "User-Agent: User-Agent" \
> -u "<username>:<password>" \
> -d id=id
1{
2 "url": "https://dispute-attachment.s3.amazonaws.com/fi_7GciehSJnhRdUF9acxsB63",
3 "expiresAt": "2023-08-18T02:05:23.121893"
4}
Use this endpoint to retrieve files for disputes.
Was this page helpful?
Previous

dispute

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

idstringRequired

Headers

User-AgentstringRequired
AcceptstringOptional

application/json

Query parameters

idstringRequired
ID of the file to be retrieved.

Response

Indicates that the file has been retrieved successfully.
urlstring
The link of the file to be retrieved.
expiresAtstringformat: "date-time"
The timestamp indicating the expiration of the link.

Errors

401
Unauthorized Error
404
Not Found Error
412
Precondition Failed Error
413
Content Too Large Error
415
Unsupported Media Type Error
422
Unprocessable Entity Error
429
Too Many Requests Error